import { useSelector } from 'react-redux';
import { RootState } from './store/store';

export function Content() {
  const permissions = useSelector((state: RootState) => state.user.permissions);

  if (permissions === undefined) {
    return null;
  }

  return permissions.includes('admin') ? (
    <p className="mt-4 text-l text-center">Kilka ważnych rzeczy, które może zrobić tylko administrator</p>
  ) : (
    <p className="mt-4 text-l text-center">Niewystarczające uprawnienia</p>
  );
}
